なかだです。

At Wed, 31 May 2000 02:30:34 +0900,
OZAWA Sakuro <crouton / duelists.org> wrote:
> > 通常は ln -fs ruby-1.4 ruby として使用しています。
> > 1.5 を試すときは ln -fs ruby-1.5 ruby で切り替えて使っているのですが、
> > もっとよい方法があったらご紹介ください。
> 
> $ cat `which ruby`
> 
> #!/bin/sh
> exec ruby-${RUBY:-1.4} $*

  exec ruby-${RUBY:-1.4} "$@" の方が安心では。もちろん sh が許
せばの話ですが。

> $ ruby -v
> $ RUBY=1.5 ruby -v
> $ export RUBY
> $ ruby -v

  なんか conditional symlink ってのを思い出してしまいました。:-)

-- 
そうだ 強気に ちょっと インチキに☆彡
    中田 "Bugるくらいがちょうどいいかも;-)" 伸悦